%define perl_vendorarch %(eval "`%{_bindir}/perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_vendorarch64 %(eval "`%{_bindir}/perl_64bit -V:installvendorarch`"; echo $installvendorarch)

Summary:	Simple date object for perl
Name:		perl-Date-Simple
Version:	3.02
Release:	1
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Date-Simple/
Source0:	http://search.cpan.org/CPAN/authors/id/Y/YV/YVES/Date-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:	findutils, sed
Requires:	perl(:MODULE_COMPAT_%(eval "`%{_bindir}/perl -V:version`"; echo $version))
Requires:	perl >= 5.8.8

%description
%{summary}.


%prep
%setup -q -n Date-Simple-%{version}

# Artistic license text not included in tarball
%{_bindir}/perldoc -t perlartistic > Artistic

# Spurious exec permissions in files from tarball
find lib -type f -exec %{__chmod} -x {} ';'
%{__chmod} -x ChangeLog COPYING README Simple.xs

# The NoXS.pm file provides a pure-perl alternative to the C implementation
# of the module. This results in duplicate "Provides:" entries, which rpmlint
# whinges about. This kludge removes the redundant file, which has the added
# benefit of shutting up rpmlint.
%{__rm} -f lib/Date/Simple/NoXS.pm
/opt/freeware/bin/sed -i -e '/^lib\/Date\/Simple\/NoXS\.pm$/d' MANIFEST

mkdir ../32bit
mv * ../32bit
mv ../32bit .
mkdir 64bit
cp -r 32bit/* 64bit/


%build
cd 32bit
%{_bindir}/perl Makefile.PL INSTALLDIRS="vendor"
make
cd ../64bit
%{_bindir}/perl_64bit Makefile.PL INSTALLDIRS="vendor"
make


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

cd 32bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}
cd ../64bit
make pure_install PERL_INSTALL_ROOT=${RPM_BUILD_ROOT}

/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name .packlist -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
/opt/freeware/bin/find ${RPM_BUILD_ROOT} -depth -type d -exec /bin/rmdir {} 2>/dev/null ';'
chmod -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc 32bit/Artistic 32bit/ChangeLog 32bit/COPYING 32bit/README
%{perl_vendorarch}/Date/
%{perl_vendorarch64}/Date/
%{perl_vendorarch}/auto/Date/
%{perl_vendorarch64}/auto/Date/
%{_mandir}/man3/*


%changelog
* Thu Oct 16 2008 Michael Perzl <michael@perzl.org> - 3.02-1
- first version for AIX V5.1 and higher
